
Katello - Bug #7147

Katello puppet modules are not compatible with puppet-lint >= 1.0.0

08/19/2014 07:54 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There were couple of lints added, as well as the behaviour of existing lints

(for example the arrows alignment does not pass now).

I would suggest not switching immediately to it, to avoid unnecessary conflicts between

the upstream and downstream and switching to it after the Satellite 6.0 is released.

Associated revisions

Revision 57dfdd4f - 08/19/2014 07:56 AM - Ivan Necas

Refs #7147 - lock puppet-lint to <= 1.0.0

Revision f563f5cc - 08/19/2014 07:58 AM - Ivan Necas

Refs #7147 - lock puppet-lint to <= 1.0.0

Revision f563f5cc - 08/19/2014 07:58 AM - Ivan Necas

Refs #7147 - lock puppet-lint to <= 1.0.0

Revision 3a9d6482 - 08/21/2014 12:45 PM - Ivan Necas

Merge pull request #29 from iNecas/issue/7147

Refs #7147 - lock puppet-lint to <= 1.0.0

Revision 211ca52b - 08/26/2014 03:50 AM - Ivan Necas

Merge pull request #16 from iNecas/issue/7147

Refs #7147 - lock puppet-lint to <= 1.0.0

Revision 211ca52b - 08/26/2014 03:50 AM - Ivan Necas

Merge pull request #16 from iNecas/issue/7147

Refs #7147 - lock puppet-lint to <= 1.0.0

History

#1 - 08/25/2014 08:34 AM - Eric Helms

- Target version set to 55

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 09/08/2014 08:13 AM - Eric Helms

- Target version changed from 55 to 56
#3 - 09/09/2014 02:05 PM - Eric Helms

- Status changed from New to Closed

#4 - 09/15/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
